Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.ant
Class Tomcat3JSPVersionFile

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tomcat.ant.Tomcat3JSPVersionFile

public class Tomcat3JSPVersionFile
extends org.apache.tools.ant.Task

Task to create version files used by Tomcat to determine the appropriate class to load for a JSP. This task can accept the following attributes:

- srcdir
- regexpclasspath
- regexpclasspathref

srcdir is required.

When this task executes, it will scan the files in srcdir which have the form name_nnn.class. For each class, if a corresponding version file of the form name.ver does not exist, it is created with version nnn. If the version file exists, this task verifies that it contains the correct version nnn. If not, a new version file is created.

This task uses a regular expression library. If one is not found in the ant classpath, this task will attempt to load both the Ant regexp bridge (optional.jar) and the Jakarta regular expression matcher (jakarta-regexp) from the specified regexpclasspath.

Use this task with the Tomcat3Precompiler to create the appropriate files to pre-populate the Tomcat work directory.

Since:
  Ant 1.6
Version:
  $Revision: 1.3 $
Author:
  Keith Wannamaker Keith@Apache.org

Field Summary
`protected java.lang.String` | `DEFAULT_REGEXP_CLASS`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Tomcat3JSPVersionFile()`

Method Summary
`org.apache.tools.ant.types.Path` | `createRegexpClasspath()` Support nested regexpclasspath elements
`void` | `execute()` Execute the task
`void` | `setRegexpClasspath(org.apache.tools.ant.types.Path cp)` Setter for regexpclasspath
`void` | `setRegexpClasspathRef(org.apache.tools.ant.types.Reference r)` Add classpath reference
`void` | `setSrcdir(java.lang.String srcdir)` Setter for srcdir

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_REGEXP_CLASS

    protected java.lang.String DEFAULT_REGEXP_CLASS

Constructor Detail

### Tomcat3JSPVersionFile

    public Tomcat3JSPVersionFile()

Method Detail

### setSrcdir

    public void setSrcdir(java.lang.String srcdir)

  Setter for srcdir

### setRegexpClasspath

    public void setRegexpClasspath(org.apache.tools.ant.types.Path cp)

  Setter for regexpclasspath

### createRegexpClasspath

    public org.apache.tools.ant.types.Path createRegexpClasspath()

  Support nested regexpclasspath elements

### setRegexpClasspathRef

    public void setRegexpClasspathRef(org.apache.tools.ant.types.Reference r)

  Add classpath reference

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the task

  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.